Subject: bug#46980: ntfs-3g and setuid root with an external FUSE library

From: William <[email-masked]>
Date: Mon, 4 Mar 2024 20:27:39 +0100

Hello.

Reminder that this issue is still a thing, I'm unable to mount NTFS
partitions at boot because ntfs-3g relies on the external FUSE kernel
module and refuses to run with setuid right now.

The only two possible workarounds I can see is either manually mounting
the partition after boot as sudo/superuser, or compile ntfs-3g modified
locally with the FUSE support enabled, and use the modified version
instead.